Page MenuHomePhabricator

CX2: Adjust translation card to work better regardless of translation service availability
Closed, ResolvedPublic

Description

Based on initial results from user research (T207831), users get confused by some of the options provided in the "Automatic translation" card. The issue is more apparent when users translate across languages that lack support. In those cases, users get the following set of options:

Automatic translation:

  • Use source text
  • Don’t use machine translation

We want to provide more clarity about what users will obtain when they add a new paragraph to the translation. The information in the card should be clear when there are translation services available, and when there are not.

Proposed solution

The following changes are proposed to clarify the purpose of the card, the available options and the lack of MT:

  • Change the card title to be "Initial translation" (instead of "Automatic translation")
  • Use "Copy original content" instead of "Use source text" for one option.
  • Use "Start with an empty paragraph" instead of "Don’t use machine translation"
  • When there are no translation services available show a the following message "Translation services not available for the selected languages. [Why?]". Where the "Why?" part links to the user documentation about the "Initial machine translation" (opening it in a new browser tab/window).

For the "Translation services not available..." message, the following styling has ben used:

  • Text color: Base20 (#54595D)
  • Text size: 14px
  • Background color: Base90 (#F8F9FA)

Other related issues intersect with this one to add more confusion to this area:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 15 2018, 5:22 PM
Pginer-WMF triaged this task as Normal priority.Nov 15 2018, 5:22 PM
Pginer-WMF renamed this task from CX2: Rename options in the translation card to work better regardless of translation service availability to CX2: Adjust translation card to work better regardless of translation service availability.Nov 23 2018, 11:37 AM
Pginer-WMF removed a project: Design.
Pginer-WMF updated the task description. (Show Details)

Change 478642 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Change the labels in the MT options menu

https://gerrit.wikimedia.org/r/478642

Change 478643 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] MT: For language pairs without MT service, provide that info

https://gerrit.wikimedia.org/r/478643

Yes. That works.

(Once user documentation is reorganized (T203152) we may need to update some of these links in a follow-up task)

Change 478642 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Change the labels in the MT options menu

https://gerrit.wikimedia.org/r/478642

Change 478643 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] MT: For language pairs without MT service, provide that info

https://gerrit.wikimedia.org/r/478643

Etonkovidova closed this task as Resolved.Jan 18 2019, 4:22 AM
Etonkovidova added a subscriber: Etonkovidova.

Checked in wmf.13 - the